/// Show a separate floating legend for the series in each row of the chart.
#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct PerRowFloatingLegends {
    #[builder(
        default,
        custom(
            type = impl
            Into<Option<super::FloatingLegendPosition>>,
            convert = |v|v.into().map(Box::new)
        )
    )]
    #[serde(rename = "position", skip_serializing_if = "Option::is_none", default)]
    position: Option<Box<super::FloatingLegendPosition>>,
}
impl PerRowFloatingLegends {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new() -> Self {
        Self::builder().build()
    }
    /// Position of the floating legend in the chart. If undefined, defaults to preset BOTTOM_LEFT.
    #[inline]
    pub fn position(&self) -> Option<&super::FloatingLegendPosition> {
        self.position.as_ref().map(|o| &**o)
    }
}
